- Qt 5.15
- Qt Location
- C++ Classes
- QGeoServiceProviderFactoryV2
- Qt 5.15.19 Reference Documentation

# QGeoServiceProviderFactoryV2 Class

The QGeoServiceProviderFactoryV2 class is a factory class used as the plugin interface for services related to geographical information. More...

Header: | #include <QGeoServiceProviderFactoryV2>
qmake: | QT += location
Since: | Qt 5.11
Inherits: | QGeoServiceProviderFactory

This class was introduced in Qt 5.11.

- List of all members, including inherited members

## Public Functions

virtual | ~QGeoServiceProviderFactoryV2()
virtual QNavigationManagerEngine * | createNavigationManagerEngine(const QVariantMap &parameters, QGeoServiceProvider::Error *error, QString *errorString) const

## Detailed Description

Implementers must provide a unique combination of providerName() and providerVersion() per plugin.

The other functions should be overridden if the plugin supports the associated set of functionality.

## Member Function Documentation

### `[virtual]` QGeoServiceProviderFactoryV2::~QGeoServiceProviderFactoryV2()

Destroys this QGeoServiceProviderFactoryV2 instance.

### `[virtual]` QNavigationManagerEngine *QGeoServiceProviderFactoryV2::createNavigationManagerEngine(const QVariantMap &parameters, QGeoServiceProvider::Error *error, QString *errorString) const

Returns a new QNavigationManagerEngine instance, initialized with parameters, which implements navigation functionality.

If error is not nullptr, it should be set to QGeoServiceProvider::NoError on success or an appropriate QGeoServiceProvider::Error on failure.

If errorString is not nullptr, it should be set to a string describing any error which occurred.

The default implementation returns nullptr, which causes a QGeoServiceProvider::NotSupportedError in QGeoServiceProvider.